package com.changhong.ippctrl;

public interface ICommFunSets {
    /**
     * 判断设备功能是否可用
     * @deprecated
     * @param funid
     *            : 功能集ID
     * @param result
     *            ：期望结果
     *            
     * @return true :功能可用返回true，不可用返回false
     */
    public boolean isFunctionEnable(long funid, long result);
    /**
     * 同步设置设备电源模式
     * 
     * @param mode
     *            : 电源模式
     * @return true :成功返回true，失败返回false
     */
    public boolean setPowerMode(int mode);
    /**
     * 获取设备电源模式
     * 
     * 
     * @return 返回设备电源模式
     */
    public int getPowerMode();
}
