package com.changhong.ippmodel;

public final class IppDataDefine
{

    /** IPP 空调设备功能码-温度{@value} */
    public static final int IPP_AIRCONDITIONER_TMP = 1;
    /** IPP 空调设备功能码-风速{@value} */
    public static final int IPP_AIRCONDITIONER_FUNSPEED = 2;
    /** IPP 空调设备功能码-工作模式{@value} */
    public static final int IPP_AIRCONDITIONER_MODE = 4;
    /** IPP 空调设备功能码-风向{@value} */
    public static final int IPP_AIRCONDITIONER_FUNDIRECTION = 8;
    /** IPP 空调设备功能码-除湿{@value} */
    public static final int IPP_AIRCONDITIONER_DRYER = 16;
    /** IPP 空调设备功能码-加热{@value} */
    public static final int IPP_AIRCONDITIONER_HOT = 32;
    /** IPP 空调设备功能码-电源{@value} */
    public static final int IPP_AIRCONDITIONER_Power = 64;

    /** IPP 冰箱设备功能码-冷藏室温度{@value} */
    public static final int IPP_FRIDGE_COLDTMP = 1;
    /** IPP 冰箱设备功能码-冷藏室温度{@value} */
    public static final int IPP_FRIDGE_FREEZETMP = 2;
    /** IPP 冰箱设备功能码-冷冻室温度{@value} */
    public static final int IPP_FRIDGE_VARIABLETMP = 4;
    /** IPP 冰箱设备功能码-食品识别{@value} */
    public static final int IPP_FRIDGE_FOODS = 8;
    /** IPP 冰箱设备功能码-电源{@value} */
    public static final int IPP_FRIDGE_Power = 16;

   
    public static final int IPP_DEVICE_AC = 0x0101;

    public static final int IPP_DEVICE_LIGHT = 0x0102;

    public static final int IPP_DEVICE_CURTAIN = 0x0103;

    public static final int IPP_DEVICE_DMR = 0x0104;
    public static final int IPP_DEVICE_IB = 0x0105;
    public static final int IPP_DEVICE_TV = 0x0106;

    public static final int IPP_EVENT_BREAKLINE = 0xA0;

    public static final int IPP_EVENT_NORMAL = 0xA1;

}
