package com.changhong.ippmodel;

import java.util.List;

//import android.util.Log;

import com.changhong.ippctrl.IHoodCookerFunsets;
//import com.changhong.ippctrl.IHoodCookerInterface;
import com.changhong.ippjni.IppCoreJni;

public class IppHoodCooker extends IppDevice implements IHoodCookerFunsets {
	String TAG = "HocoCtrl";
	public IppHood hood;
	public List<IppCooker> cooker;
	public IppDtime hocotime;
	public IppHocoStatus status;
	public String verifyCode;

	// IppHood getHood() {
	// return hood;
	// }
	// List<IppCooker> getCooker() {
	// return cooker;
	// }

	public IppHoodCooker(String ip, String username, int userid, int ctrlflag,
			int id, long funids, String uuid, String name, String postion,
			String attrib, int protocol, int type, String sta, String key,
			String serial, String ctype
	// ,IppHood hood, List<IppCooker> cooker,
	// IppDtime hocotime,IppHocoStatus status
	) {
		super(ip, username, userid, ctrlflag, id, funids, uuid, name, postion,
				attrib, protocol, type, sta, key, serial, ctype);
		// TODO 自动生成的构造函数存根
	}

	@Override
	public boolean setWind(int windlevel) {
		// TODO 自动生成的方法存根
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnHOCOSetWind(mDeviceID, windlevel)) {
				hood.mWindLevel = windlevel;
				return true;
			}
		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;
	}

	@Override
	public boolean setIllumination(int illumination) {
		// TODO 自动生成的方法存根
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnHOCOSetIllumination(mDeviceID, illumination)) {
				hood.mIllumination = illumination;
				return true;
			}

		if (mProtocolType == IppConstractData.IPP_WAN) {
		}

		return false;
	}

	@Override
	public boolean setWindBySmoke(int windbysmoke) {
		// TODO 自动生成的方法存根
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnHOCOSetWindBySmoke(mDeviceID, windbysmoke)) {
				hood.mWindBySmoke = windbysmoke;
				return true;
			}
		if (mProtocolType == IppConstractData.IPP_WAN) {
		}

		return false;
	}

	@Override
	public boolean setFireLevel(int cookernum, int firelevel) {
		// TODO 自动生成的方法存根
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnHOCOSetFireLevel(mDeviceID, cookernum, firelevel)) {
				cooker.get(cookernum).mFireStatus = firelevel;
				return true;
			}
		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;
	}

	@Override
	public boolean setFireTime(int cookernum, List<IppCOTime> time,
			String recipe) {
		// TODO 自动生成的方法存根
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni
					.fnHOCOSetFireTime(mDeviceID, cookernum, time, recipe)) {
				cooker.get(cookernum).time = time;
				return true;
			}
		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;
	}

	@Override
	public IppDtime getTime() {
		// TODO 自动生成的方法存根
		if (mProtocolType == IppConstractData.IPP_LAN) {
			hocotime = IppCoreJni.fnHOCOGetTime(mDeviceID);
			if (hocotime != null) {
				return hocotime;
			}
		}
		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return null;
	}

	@Override
	public IppHocoStatus getStatus() {
		// TODO 自动生成的方法存根
		if (mProtocolType == IppConstractData.IPP_LAN) {
			status = IppCoreJni.fnHOCOGetStatus(mDeviceID);
			if (status != null) {
				return status;
			}
		}
		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return null;
	}

	@Override
	public boolean sendRecipe(String url) {
		// TODO 自动生成的方法存根
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnHOCOSendRecipe(mDeviceID, url)) {
				return true;
			}
		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;
	}

	@Override
	public boolean verifyCodeSend(String verifycode) {
		// TODO 自动生成的方法存根
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnHOCOVerifyCodeSend(mDeviceID, verifycode)) {
				return true;
			}
		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;
	}

	@Override
	public boolean verifyCodeChange(String verifycode) {
		// TODO 自动生成的方法存根
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnHOCOVerifyCodeChange(mDeviceID, verifycode)) {
				return true;
			}
		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;
	}

	@Override
	public boolean setSSID(String ssid) {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnHOCOSetSSID(mDeviceID, ssid)) {
				return true;
			}
		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;
	}

	@Override
	public boolean setBSSID(String ssid) {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnHOCOSetBSSID(mDeviceID, ssid)) {
				return true;
			}
		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;
	}
	
	@Override
	public boolean setWifiPwd(String pwd) {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnHOCOSetWifiPwd(mDeviceID, pwd)) {
				return true;
			}
		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;
	}

	@Override
	public boolean setActiveCode(String code) {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnHOCOSetActiveCode(mDeviceID, code)) {
				return true;
			}
		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;
	}

	@Override
	public boolean setNickName(String nickname) {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnHOCOSetNickName(mDeviceID, nickname)) {
				return true;
			}
		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;
	}

	@Override
	// 0 =AP ; 1 = STA
	public boolean setWifiMode(int mode) {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnHOCOSetWifiMode(mDeviceID, mode)) {
				return true;
			}
		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;
	}

	@Override
	public boolean setWindLeft(int windlevel) { // 设置左风力大小
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnHOCOSetWindLeft(mDeviceID, windlevel)) {
				return true;
			}
		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;
	}

	@Override
	public boolean setWindRight(int windlevel) {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnHOCOSetWindRight(mDeviceID, windlevel)) {
				return true;
			}
		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;
	}

	@Override
	public boolean setWindSync(int onoff) {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnHOCOSetWindSync(mDeviceID, onoff)) {
				return true;
			}
		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;
	}

	@Override
	public boolean setSteamClean(int onoff) {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnHOCOSetSteamClean(mDeviceID, onoff)) {
				return true;
			}
		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;
	}

	@Override
	public boolean setAutoClean(int onoff) {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnHOCOSetAutoClean(mDeviceID, onoff)) {
				return true;
			}
		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;
	}

	@Override
	public boolean setLowFireTime(int cookernum, List<IppCOTime> time,
			String recipe) {
		// TODO Auto-generated method stub
		if (mProtocolType == IppConstractData.IPP_LAN)
			if (IppCoreJni.fnHOCOSetLowFireTime(mDeviceID, cookernum, time,
					recipe)) {
				cooker.get(cookernum).time = time;
				return true;
			}
		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;
	}

	@Override
	public String getVerifyCode() {
		if (mProtocolType == IppConstractData.IPP_LAN)
			verifyCode = null;
		verifyCode = IppCoreJni.fnHOCOGetVerifyCode(mDeviceID);
		if (verifyCode != null) {
			return verifyCode;
		}
		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return null;
	}

	@Override
	public IppHocoStatus getHighStatus() {
		if (mProtocolType == IppConstractData.IPP_LAN) {
			status = IppCoreJni.fnHOCOGetHighStatus(mDeviceID);
			if (status != null) {
				return status;
			}
		}
		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return null;
	}

	@Override
	public boolean setPower(int onoff) {
		if (mProtocolType == IppConstractData.IPP_LAN) {
			if (IppCoreJni.fnHOCOSetPower(mDeviceID, onoff)) {
				return true;
			}
		}
		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return false;
	}

	@Override
	public String getPowerStatus() {
		if (mProtocolType == IppConstractData.IPP_LAN)
			return IppCoreJni.fnHOCOGetPowerStatus(mDeviceID);
		if (mProtocolType == IppConstractData.IPP_WAN) {
		}
		return null;
	}

	// @Override
	// public boolean setLeftBanTimingOff(int onoff) {
	// // TODO Auto-generated method stub
	// if (mProtocolType == IppConstractData.IPP_LAN)
	// if (IppCoreJni.fnHOCOSetLeftBanTimingOff(mDeviceID, onoff)) {
	// return true;
	// }
	// if (mProtocolType == IppConstractData.IPP_WAN) {}
	// return false;
	// }
	//
	// @Override
	// public boolean setLeftTimingOffTime(int time) {
	// // TODO Auto-generated method stub
	// if (mProtocolType == IppConstractData.IPP_LAN)
	// if (IppCoreJni.fnHOCOSetLeftTimingOffTime(mDeviceID, time)) {
	// return true;
	// }
	// if (mProtocolType == IppConstractData.IPP_WAN) {}
	// return false;
	// }
	//
	// @Override
	// public boolean setRightBanTimingOff(int onoff) {
	// // TODO Auto-generated method stub
	// if (mProtocolType == IppConstractData.IPP_LAN)
	// if (IppCoreJni.fnHOCOSetRightBanTimingOff(mDeviceID, onoff)) {
	// return true;
	// }
	// if (mProtocolType == IppConstractData.IPP_WAN) {}
	// return false;
	// }
	//
	// @Override
	// public boolean setRightTimingOffTime(int time) {
	// // TODO Auto-generated method stub
	// if (mProtocolType == IppConstractData.IPP_LAN)
	// if (IppCoreJni.fnHOCOSetRightTimingOffTime(mDeviceID, time)) {
	// return true;
	// }
	// if (mProtocolType == IppConstractData.IPP_WAN) {}
	// return false;
	// }

}
