

package com.changhong.ippmodel;

import java.util.List;




import com.changhong.ippctrl.ITelevisonFunSets;
import com.changhong.ippjni.IppCoreJni;
/**
 * 
* @ClassName: IppTelevision 
* @Description: TODO(电视设备类)  
*
 */
public class IppTelevision extends IppDevice implements ITelevisonFunSets
{
	
    int mPowerMode;
    int mVolume;
    int mMute;
    int mPictureMode;
    int mSoundMode;
    int mMode;
    public int mChannelID;
    public String mDisplay;
    String mChannelName;
    int mBrightNess;
    int mContrast;
    int mSignalSRC;
    int m3DDeep;
    int mSleep;
    int mZoomMode;
/**
 * 
* <p>Title: </p> 
* <p>Description: </p> 
* @param power
* @param vol
* @param mute
* @param pic
* @param sound
* @param d3d
* @param channel
* @param id
* @param funids
* @param uuid
* @param name
* @param positon
* @param attrib
* @param protocol
* @param type
* @param dis
* @param ChannelName
* @param sta
* @param key
* @param serial
* @param ctype
* @param BrightNess
* @param Contrast
* @param SignalSRC
* @param D3DDeep
* @param Sleep
* @param ZoomMode
* @param ctrlflag
* @param username
* @param userid
* @param ip
 */
    public IppTelevision(int power, int vol, int mute, int pic, int sound,
            int mode, int channel, int id, long funids, String uuid,
            String name, String positon, String attrib, int protocol, int type,
            String dis, String ChannelName, String sta, String key,
            String serial, String ctype, int BrightNess, int Contrast,
            int SignalSRC, int D3DDeep, int Sleep, int ZoomMode,int ctrlflag,
            String username,int userid,String ip)
    {
        super(ip,username,userid,ctrlflag,id, funids, uuid, name, positon, attrib, protocol, type, sta,
                key, serial, ctype);
        mPowerMode = power;
        mVolume = vol;
        mMute = mute;
        mPictureMode = pic;
        mSoundMode = sound;
        mMode = mode;
        mChannelID = channel;
        mDisplay = dis;
        mChannelName = ChannelName;
        mBrightNess = BrightNess;
        mContrast = Contrast;
        mSignalSRC = SignalSRC;
        m3DDeep = D3DDeep;
        mSleep = Sleep;
        mZoomMode = ZoomMode;
        // TODO Auto-generated constructor stub
    }

   
    @Override
    public int getMute()
    {
        mMute = IppCoreJni.fnTVGetMute(mDeviceID);
        return mMute;
    }

  
    @Override
    public int getPicMode()
    {
        mPictureMode = IppCoreJni.fnTVGetPicMode(mDeviceID);
        return mPictureMode;
    }

   
    @Override
    public int getSoundMode()
    {
        mSoundMode = IppCoreJni.fnTVGetSoundMode(mDeviceID);
        return mSoundMode;
    }

  
    @Override
    public int getMode()
    {
        mMode = IppCoreJni.fnTVGetMode(mDeviceID);
        return mMode;
    }

  
    @Override
    public int getChannelID()
    {
        mChannelID = IppCoreJni.fnTVGetChannelID(mDeviceID);
        return mChannelID;
    }

    @Override
    public boolean setInputString(String input,int flag)
    {

        return IppCoreJni.fnTVSetString(mDeviceID, input,flag);

    }

    @Override
    public boolean setMute(int mute)
    {
        if (IppCoreJni.fnTVSetMute(mDeviceID, mute))
        {
            mMute = mute;
            return true;
        }
        return false;
    }

    @Override
    public boolean setPicMode(int mode)
    {
        if (IppCoreJni.fnTVSetPicMode(mDeviceID, mode))
        {
            mPictureMode = mode;
            return true;
        }
        return false;
    }

    @Override
    public boolean setSoundMode(int mode)
    {
        if (IppCoreJni.fnTVSetSoundMode(mDeviceID, mode))
        {

            mSoundMode = mode;
            return true;
        }
        return false;
    }

    @Override
    public boolean set3DMode(int mode)
    {
        if (IppCoreJni.fnTVSet3DMode(mDeviceID, mode))
        {

            this.mMode = mode;
            return true;
        }
        return false;
    }

    @Override
    public boolean isFunctionEnable(long funid, long result)
    {
        // TODO Auto-generated method stub
        return (mFunctionID | funid) == result;
    }

    @Override
    public boolean setPowerMode(int mode)
    {
        // TODO Auto-generated method stub
        if (IppCoreJni.setPowerMode(mDeviceID, mode))
        {
            mPowerMode = mode;
            return true;
        }
        return false;
    }

    @Override
    public int getPowerMode()
    {
        // TODO Auto-generated method stub
        mPowerMode = IppCoreJni.getPowerMode(mDeviceID);
        return mPowerMode;
    }

    @Override
    public String getDisplay()
    {
        // TODO Auto-generated method stub
        mDisplay = IppCoreJni.fnTVGetDisplay(mDeviceID);
        return mDisplay;
    }

    @Override
    public boolean addVolume(int vol)
    {
        // TODO Auto-generated method stub
        return IppCoreJni.fnTVAddVolume(mDeviceID, vol);
    }

    @Override
    public boolean subVolume(int vol)
    {
        // TODO Auto-generated method stub
        return IppCoreJni.fnTVSubVolume(mDeviceID, vol);
    }

    @Override
    public boolean addChannel(int id)
    {
        // TODO Auto-generated method stub
        return IppCoreJni.fnTVAddChannel(mDeviceID, id);
    }

    @Override
    public boolean subChannel(int id)
    {
        // TODO Auto-generated method stub
        return IppCoreJni.fnTVSubChannel(mDeviceID, id);
    }

    @Override
    public boolean setTVKey(int key, int action)
    {

        if (mProtocolType == IppConstractData.IPP_WAN)
        {

            List<IppDevice> ls = IppCoreJni.getNativeIppDevices();
            for (int i = 0; i < ls.size(); i++)
            {
                if (ls.get(i).mUUID.equals(mUUID)
                        && ls.get(i).devicetype.equals(devicetype))
                {

                    IppTelevision tv = (IppTelevision) ls.get(i);
                    return tv.setTVKey(key, action);
                }

            }
            // ///////////////////set from platform not implenment
            return false;

        }

        if (mProtocolType == IppConstractData.IPP_LAN)

            return IppCoreJni.fnTVSetKey(mDeviceID, key, action);

        else
            return false;
    }

    @Override
    public boolean setTVMouse(int x, int y, int action)
    {
//        if (mProtocolType == IppConstractData.IPP_WAN)
//        {
//
//            List<IppDevice> ls = IppCoreJni.getNativeIppDevices();
//            for (int i = 0; i < ls.size(); i++)
//            {
//                if (ls.get(i).mUUID.equals(mUUID)
//                        && ls.get(i).mDeviceID == mDeviceID)
//                {
//
//                    IppTelevision tv = (IppTelevision) ls.get(i);
//                    return tv.setTVMouse(x, y, action);
//                }
//
//            }
//            // ///////////////////set from platform not implenment
//            return false;
//        }

        if (mProtocolType == IppConstractData.IPP_LAN)

            return IppCoreJni.fnTVSetMouse(mDeviceID, x, y,action);

        else
            return false;
    }

    @Override
    public boolean setBrightness(int value)
    {
        if (mProtocolType == IppConstractData.IPP_WAN)
        {

            List<IppDevice> ls = IppCoreJni.getNativeIppDevices();
            for (int i = 0; i < ls.size(); i++)
            {
                if (ls.get(i).mUUID.equals(mUUID)
                        && ls.get(i).mDeviceID == mDeviceID)
                {

                    IppTelevision tv = (IppTelevision) ls.get(i);
                    return tv.setBrightness(value);
                }

            }
            // ///////////////////set from platform not implenment
            return false;
        }

        if (mProtocolType == IppConstractData.IPP_LAN)
        {

            if (IppCoreJni.fnTVSetBrightNess(mDeviceID, value))
            {
                mBrightNess = value;
                return true;
            }
        }
        return false;
    }

    @Override
    public boolean setContrast(int value)
    {
        if (mProtocolType == IppConstractData.IPP_WAN)
        {

            List<IppDevice> ls = IppCoreJni.getNativeIppDevices();
            for (int i = 0; i < ls.size(); i++)
            {
                if (ls.get(i).mUUID.equals(mUUID)
                        && ls.get(i).mDeviceID == mDeviceID)
                {

                    IppTelevision tv = (IppTelevision) ls.get(i);
                    return tv.setContrast(value);
                }

            }
            // ///////////////////set from platform not implenment
            return false;
        }

        if (mProtocolType == IppConstractData.IPP_LAN)
        {
            if (IppCoreJni.fnTVSetContrast(mDeviceID, value))
            {

                mContrast = value;
                return true;
            }
        }
        return false;
    }

    @Override
    public boolean setRoomMode(int value)
    {
        if (mProtocolType == IppConstractData.IPP_WAN)
        {

            List<IppDevice> ls = IppCoreJni.getNativeIppDevices();
            for (int i = 0; i < ls.size(); i++)
            {
                if (ls.get(i).mUUID.equals(mUUID)
                        && ls.get(i).mDeviceID == mDeviceID)
                {

                    IppTelevision tv = (IppTelevision) ls.get(i);
                    return tv.setRoomMode(value);
                }

            }
            // ///////////////////set from platform not implenment
            return false;
        }

        if (mProtocolType == IppConstractData.IPP_LAN)
        {
            if (IppCoreJni.fnTVSetZoomMode(mDeviceID, value))
            {
                mZoomMode = value;

                return true;
            }
        }
        return false;
    }

    @Override
    public boolean setSignalSrc(int value)
    {
        if (mProtocolType == IppConstractData.IPP_WAN)
        {

            List<IppDevice> ls = IppCoreJni.getNativeIppDevices();
            for (int i = 0; i < ls.size(); i++)
            {
                if (ls.get(i).mUUID.equals(mUUID)
                        && ls.get(i).mDeviceID == mDeviceID)
                {

                    IppTelevision tv = (IppTelevision) ls.get(i);
                    return tv.setSignalSrc(value);
                }

            }
            // ///////////////////set from platform not implenment
            return false;
        }

        if (mProtocolType == IppConstractData.IPP_LAN)
        {
            if (IppCoreJni.fnTVSetSignalSRC(mDeviceID, value))
            {
                mSignalSRC = value;
                return true;
            }
        }
        return false;
    }

    @Override
    public int get3DDeep()
    {
        if (mProtocolType == IppConstractData.IPP_WAN)
        {

            List<IppDevice> ls = IppCoreJni.getNativeIppDevices();
            for (int i = 0; i < ls.size(); i++)
            {
                if (ls.get(i).mUUID.equals(mUUID)
                        && ls.get(i).mDeviceID == mDeviceID)
                {

                    IppTelevision tv = (IppTelevision) ls.get(i);
                    return tv.get3DDeep();
                }

            }
            // ///////////////////set from platform not implenment
            return -1;
        }

        if (mProtocolType == IppConstractData.IPP_LAN)

            m3DDeep = IppCoreJni.fnTVGet3DDeep(mDeviceID);
        return m3DDeep;
    }

    @Override
    public int getBrightness()
    {
        if (mProtocolType == IppConstractData.IPP_WAN)
        {

            List<IppDevice> ls = IppCoreJni.getNativeIppDevices();
            for (int i = 0; i < ls.size(); i++)
            {
                if (ls.get(i).mUUID.equals(mUUID)
                        && ls.get(i).mDeviceID == mDeviceID)
                {

                    IppTelevision tv = (IppTelevision) ls.get(i);
                    return tv.getBrightness();
                }

            }
            // ///////////////////set from platform not implenment
            return -1;
        }

        if (mProtocolType == IppConstractData.IPP_LAN)

            mBrightNess = IppCoreJni.fnTVGetBrightNess(mDeviceID);
        return mBrightNess;
    }

    @Override
    public int getContrast()
    {
        if (mProtocolType == IppConstractData.IPP_WAN)
        {

            List<IppDevice> ls = IppCoreJni.getNativeIppDevices();
            for (int i = 0; i < ls.size(); i++)
            {
                if (ls.get(i).mUUID.equals(mUUID)
                        && ls.get(i).mDeviceID == mDeviceID)
                {

                    IppTelevision tv = (IppTelevision) ls.get(i);
                    return tv.getContrast();
                }

            }
            // ///////////////////set from platform not implenment
            return -1;
        }

        if (mProtocolType == IppConstractData.IPP_LAN)

            mContrast = IppCoreJni.fnTVGetContrast(mDeviceID);
        return mContrast;
    }

    @Override
    public int getRoomMode()
    {
        if (mProtocolType == IppConstractData.IPP_WAN)
        {

            List<IppDevice> ls = IppCoreJni.getNativeIppDevices();
            for (int i = 0; i < ls.size(); i++)
            {
                if (ls.get(i).mUUID.equals(mUUID)
                        && ls.get(i).mDeviceID == mDeviceID)
                {

                    IppTelevision tv = (IppTelevision) ls.get(i);
                    return tv.getRoomMode();
                }

            }
            // ///////////////////set from platform not implenment
            return -1;
        }

        if (mProtocolType == IppConstractData.IPP_LAN)

            mZoomMode = IppCoreJni.fnTVGetZoomMode(mDeviceID);
        return mZoomMode;
    }

    @Override
    public int getSignalSrc()
    {
        if (mProtocolType == IppConstractData.IPP_WAN)
        {

            List<IppDevice> ls = IppCoreJni.getNativeIppDevices();
            for (int i = 0; i < ls.size(); i++)
            {
                if (ls.get(i).mUUID.equals(mUUID)
                        && ls.get(i).mDeviceID == mDeviceID)
                {

                    IppTelevision tv = (IppTelevision) ls.get(i);
                    return tv.getSignalSrc();
                }

            }
            // ///////////////////set from platform not implenment
            return -1;
        }
        if (mProtocolType == IppConstractData.IPP_LAN)

            mSignalSRC = IppCoreJni.fnTVGetSignalSRC(mDeviceID);

        return mSignalSRC;
    }

    @Override
    public String getChannelName()
    {
        if (mProtocolType == IppConstractData.IPP_WAN)
        {

//            List<IppDevice> ls = IppCoreJni.getNativeIppDevices();
//            for (int i = 0; i < ls.size(); i++)
//            {
//                if (ls.get(i).mUUID.equals(mUUID)
//                        && ls.get(i).mDeviceID == mDeviceID)
//                {
//
//                    IppTelevision tv = (IppTelevision) ls.get(i);
//                    return tv.getChannelName();
//                }
//
//            }
            // ///////////////////set from platform not implenment
              return mChannelName;
        }
        if (mProtocolType == IppConstractData.IPP_LAN)

            mChannelName = IppCoreJni.fnTVGetChannelNAME(mDeviceID);
         return mChannelName;
    }

    @Override
    public int getVolume(int type)
    {
        if (mProtocolType == IppConstractData.IPP_WAN)
        {

            List<IppDevice> ls = IppCoreJni.getNativeIppDevices();
            for (int i = 0; i < ls.size(); i++)
            {
                if (ls.get(i).mUUID.equals(mUUID)
                        && ls.get(i).mDeviceID == mDeviceID)
                {

                    IppTelevision tv = (IppTelevision) ls.get(i);
                    return tv.getVolume(type);
                }

            }
            // ///////////////////set from platform not implenment
            return -1;
        }
        if (mProtocolType == IppConstractData.IPP_LAN)

            return IppCoreJni.fnTVGetVolume(mDeviceID,type);

        else
            return -1;
    }

    @Override
    public boolean set3DDeep(int mode)
    {

        if (mProtocolType == IppConstractData.IPP_WAN)
        {

            List<IppDevice> ls = IppCoreJni.getNativeIppDevices();
            for (int i = 0; i < ls.size(); i++)
            {
                if (ls.get(i).mUUID.equals(mUUID)
                        && ls.get(i).mDeviceID == mDeviceID)
                {

                    IppTelevision tv = (IppTelevision) ls.get(i);
                    return tv.set3DDeep(mode);
                }

            }
            // ///////////////////set from platform not implenment
            return false;
        }

        if (mProtocolType == IppConstractData.IPP_LAN)
        {
            // TODO Auto-generated method stub
            if (IppCoreJni.fnTVSet3DDeep(mDeviceID, mode))
            {

                m3DDeep = mode;
                return true;
            }
        }
        return false;
    }

    @Override
    public boolean setSleep(int mode)
    {

        if (mProtocolType == IppConstractData.IPP_WAN)
        {

            List<IppDevice> ls = IppCoreJni.getNativeIppDevices();
            for (int i = 0; i < ls.size(); i++)
            {
                if (ls.get(i).mUUID.equals(mUUID)
                        && ls.get(i).mDeviceID == mDeviceID)
                {

                    IppTelevision tv = (IppTelevision) ls.get(i);
                    return tv.setSleep(mode);
                }

            }
            // ///////////////////set from platform not implenment
            return false;

        }

        if (mProtocolType == IppConstractData.IPP_LAN)
        {
            if (IppCoreJni.fnTVSetSleepMode(mDeviceID, mode))
            {

                mSleep = mode;
                return true;
            }
        }
        return false;
    }

    @Override
    public String toString()
    {
        String str = "";

        str += "mPowerMode = " + mPowerMode;
        str += " mVolume " + mVolume;
        str += " mMute " + mMute;
        str += "mPictureMode " + mPictureMode;
        str += "\n mSoundMode " + mSoundMode;
        str += " mMode " + mMode;
        str += " mChannelID " + mChannelID;
        str += " String mDisplay " + mDisplay;
        str += "\n mChannelName " + mChannelName;
        str += " mBrightNess " + mBrightNess;
        str += " mContrast " + mContrast;
        str += " mSignalSRC " + mSignalSRC;
        str += "\n m3DDeep =" + m3DDeep;
        str += " mSleep = " + mSleep;
        str += " mZoomMode =" + mSleep;

        // TODO Auto-generated method stub
        return str + "\n " + super.toString();
    }

	@Override
	public boolean moveCursor(int cursor) {
		// TODO Auto-generated method stub


        if (mProtocolType == IppConstractData.IPP_WAN)
        {

//            List<IppDevice> ls = IppCoreJni.getNativeIppDevices();
//            for (int i = 0; i < ls.size(); i++)
//            {
//                if (ls.get(i).mUUID.equals(mUUID)
//                        && ls.get(i).mDeviceID == mDeviceID)
//                {
//
//                    IppTelevision tv = (IppTelevision) ls.get(i);
//                    return tv.setSleep(mode);
//                }
//
//            }
//            // ///////////////////set from platform not implenment
//            return false;

        }

        if (mProtocolType == IppConstractData.IPP_LAN)
        {
            if (IppCoreJni.fnTVMovecursor(mDeviceID, cursor))
            {

              
                return true;
            }
        }
        return false;
    
	}

	@Override
	public boolean deleteString(int count) {
		// TODO Auto-generated method stub

		// TODO Auto-generated method stub


        if (mProtocolType == IppConstractData.IPP_WAN)
        {

//            List<IppDevice> ls = IppCoreJni.getNativeIppDevices();
//            for (int i = 0; i < ls.size(); i++)
//            {
//                if (ls.get(i).mUUID.equals(mUUID)
//                        && ls.get(i).mDeviceID == mDeviceID)
//                {
//
//                    IppTelevision tv = (IppTelevision) ls.get(i);
//                    return tv.setSleep(mode);
//                }
//
//            }
//            // ///////////////////set from platform not implenment
//            return false;

        }

        if (mProtocolType == IppConstractData.IPP_LAN)
        {
            if (IppCoreJni.fnTVDeleteString(mDeviceID, count))
            {

              
                return true;
            }
        }
        return false;
    
	
	}

	@Override
	public boolean fnTVGetScreen( int x, int y) {
		// TODO Auto-generated method stub
		 if (mProtocolType == IppConstractData.IPP_LAN)
	        {
	            return IppCoreJni.fnTVGetScreen(mDeviceID, x, y);
	        }
	        return false;
	}


	@Override
	public boolean setMode( int mode) {
		// TODO Auto-generated method stub
		return IppCoreJni.fnTVSetMode(mDeviceID, mode);
	}


	


	@Override
	public boolean addOrderProgramme(int channelIndex, int eventIndex) {
		// TODO Auto-generated method stub
		return IppCoreJni.fnTVaddOrderProgramme(mDeviceID, channelIndex, eventIndex);
	}


	@Override
	public boolean deleteOrder(int channelIndex, int eventIndex) {
		// TODO Auto-generated method stub
		return IppCoreJni.fnTVDeleteOrder(mDeviceID, channelIndex, eventIndex);
	}


//	@Override
//	public List<OrderChannel> getOrderList() {
//		// TODO Auto-generated method stub
//		return IppCoreJni.fnTVGetOrderList(mDeviceID);
//	}


	@Override
	public boolean changeChannel(String name,String index) {
		// TODO Auto-generated method stub
		
	
		return IppCoreJni.fnTVChangeChannel(mDeviceID, name,index);
	}


	@Override
	public IPPDTVChannelInfo[] getSortedEPGInfo(int startindex,int requiredsize,Integer total) {
		// TODO Auto-generated method stub
		
		return IppCoreJni.fnTVGetSortedEPGInfo(mDeviceID,0, startindex, requiredsize, total);
	}


	@Override
	public boolean seekshow(int curtime, int totaltime, int seektime) {
		// TODO Auto-generated method stub
		return IppCoreJni.fnTVSeek(mDeviceID, curtime, totaltime, seektime);
	}


	@Override
	public IPPDTVChannelInfo[] getEPGInfo(int startindex, int requiredsize,
			Integer total) {
		// TODO Auto-generated method stub
		return IppCoreJni.fnTVGetEPGInfo(mDeviceID,startindex,requiredsize,total);
	}


	@Override
	public boolean requiredBind() {
		// TODO Auto-generated method stub
		return  IppCoreJni.fnTVrequiredBind(mDeviceID);
	}


	@Override
	public boolean loginFromTV(String userName, String password,
			String devicetype, String devcode, String devmode) {
		// TODO Auto-generated method stub
		return IppCoreJni.fnTVloginFromTV(mDeviceID,userName, password, devicetype, devcode, devmode);
	}


	@Override
	public boolean showPhoneCtrl(String phone) {
		// TODO Auto-generated method stub
		return IppCoreJni.fnTVshowPhoneCtrl(mDeviceID, phone);
	}


}